from fastapi import APIRouter

from app.api.v1 import (
    project, board, client, service, product, barcode, deal,
    shipping_warehouse, statistics, user, role, marketplace,
    residues, department, position, payroll, status, auth, task, billing, work_shifts, transaction, time_tracking,
    shipping, files
)

router = APIRouter()

router.include_router(barcode.router, prefix='/barcode')
router.include_router(deal.router, prefix='/deal')
router.include_router(payroll.router, prefix='/payroll')
router.include_router(product.router, prefix='/product')
router.include_router(service.router, prefix='/service')

router.include_router(auth.router, prefix='/auth')
router.include_router(billing.router, prefix='/billing')
router.include_router(board.router, prefix='/board')
router.include_router(client.router, prefix='/client')
router.include_router(department.router, prefix='/department')
router.include_router(marketplace.router, prefix='/marketplace')
router.include_router(position.router, prefix='/position')
router.include_router(project.router, prefix='/project')
router.include_router(residues.router, prefix='/residues')
router.include_router(role.router, prefix='/role')
router.include_router(shipping.router, prefix='/shipping')
router.include_router(shipping_warehouse.router, prefix='/shipping-warehouse')
router.include_router(statistics.router, prefix='/statistics')
router.include_router(status.router, prefix='/status')
router.include_router(task.router, prefix='/task')
router.include_router(time_tracking.router, prefix='/time-tracking')
router.include_router(transaction.router, prefix='/transaction')
router.include_router(user.router, prefix='/user')
router.include_router(work_shifts.router, prefix='/work-shifts')
router.include_router(files.router, prefix='/files')
